### Function

# Gtk CellAllocCallback

#### Declaration

    gboolean
    CellAllocCallback (
      GtkCellRenderer* renderer,
      const GdkRectangle* cell_area,
      const GdkRectangle* cell_background,
      gpointer data
    )

#### Description [src]

The type of the callback functions used for iterating over the cell renderers and their allocated areas inside a `GtkCellArea`, see gtk_cell_area_foreach_alloc().

#### Parameters

`renderer` | `GtkCellRenderer`
| The cell renderer to operate on.
| The data is owned by the caller of the function.
`cell_area` | `const GdkRectangle*`
| The area allocated to `renderer` inside the rectangle provided to gtk_cell_area_foreach_alloc().
| The data is owned by the caller of the function.
`cell_background` | `const GdkRectangle*`
| The background area for `renderer` inside the background area provided to gtk_cell_area_foreach_alloc().
| The data is owned by the caller of the function.
`data` | `gpointer`
| User-supplied data.

#### Return value

Returns: | `gboolean`
| `TRUE` to stop iterating over cells.